SDL_RenderViewportSet(3)

NAME
SDL_RenderViewportSet - Return whether an explicit rectangle was set as the viewport.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_RenderViewportSet(SDL_Renderer *renderer);

DESCRIPTION
This is useful if you're saving and restoring the viewport and want to know whether you should restore a specific rectangle or NULL. Note that the viewport is always reset when changing rendering targets.

FUNCTION PARAMETERS

renderer
    the rendering context

RETURN VALUE
Returns SDL_TRUE
 if the viewport was set to a specific rectangle, or SDL_FALSE
 if it was set to NULL (the entire target)

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetRenderViewport(3), SDL_SetRenderViewport(3)